AWS_PASSWORD(1)

NAME
aws_password - Create a password for the hotplug server authorization file

SYNOPSIS
aws_password module password [realm]

DESCRIPTION
The Ada Web Server is a library that allows you to embed a web server into your Ada application. It provides not only HTTP but also SOAP, WSDL and several other facilities. Thus you can write full-fledged web applications. WSDL (Web Service Definition Language) is a language based on XML. WSDL documents describe, in a formal way, the interface to Web Services. This description consists of the end-point (URL to the server offering the service), the SOAPAction (needed to call the remote procedure), the procedure names and a description of the input and output parameters. aws_password is a simple wrapper to the MD5 algorithm, intended to create a password for each hotplug module. Please see the AWS User's guide for more details on how webxref works, and how you can use it to develop web services.

OPTIONS
None.

SEE ALSO
ada2wsdl(1), aws_password(1), awsres(1), webxref(1), wsdl2aws(1) The Ada Web Server User's Guide in package libaws-doc.

AUTHOR
aws_password was written by AdaCore as part of the Ada Web Server. This manual page was written by Nicolas Boulenguez <nicolas@debian.org> for Debian GNU/Linux.